{"openapi":"3.0.4","info":{"title":"View query progress up to this point.","description":"View progress information (up until this point and starting from the last point requested)\nThe following error codes are to be anticipated most with standard Problem Detail reports:\n- 401 Unauthorized\n- 403 Forbidden\n- 404 Not Found : The requested query result doesn't exist and is not running or the calling user did not run the query.\n- 429 Too Many Requests : Please try your request again soon\n  1. The query has been executed successfully in the past yet the server-instance receiving this request (e.g. from a load balancer) doesn't yet have this data available.\n  1. By virtue of the request you have just placed this will have started to load from the persisted cache and will soon be available.\n  1. It is also the case that the original server-instance to process the original query is likely to already be able to service this request.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/honeycomb"}],"paths":{"/api/SqlBackground/{executionId}":{"get":{"tags":["Sql Background Execution"],"summary":"View query progress up to this point.","description":"View progress information (up until this point and starting from the last point requested)\nThe following error codes are to be anticipated most with standard Problem Detail reports:\n- 401 Unauthorized\n- 403 Forbidden\n- 404 Not Found : The requested query result doesn't exist and is not running or the calling user did not run the query.\n- 429 Too Many Requests : Please try your request again soon\n  1. The query has been executed successfully in the past yet the server-instance receiving this request (e.g. from a load balancer) doesn't yet have this data available.\n  1. By virtue of the request you have just placed this will have started to load from the persisted cache and will soon be available.\n  1. It is also the case that the original server-instance to process the original query is likely to already be able to service this request.","operationId":"GetProgressOf","parameters":[{"name":"executionId","in":"path","description":"ExecutionId returned when starting the query","required":true,"schema":{"type":"string"}},{"name":"buildFromLogs","in":"query","description":"Should the response state be build from query logs if missing from the shared-db-state?\n\nDeprecated.\nRegardless of the value here it is now the case that: \nFalse [and now even True] will mean `404 Not Found` in cases where it was a real query but has passed its `keepForSeconds`\nsince the query completed (as well as 'this was not a query at all' of course)","schema":{"type":"boolean","default":false},"x-nullable":true},{"name":"includeAllFeedback","in":"query","description":"Should all the feedback be returned?  As opposed to just the new feedback.","schema":{"type":"boolean","default":false},"x-nullable":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/BackgroundQueryProgressResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/BackgroundQueryProgressResponse"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/BackgroundQueryProgressResponse"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}